Subject: Re: Git in GSoC 2025

From: "Ghanshyam Thakkar" <[email-masked]>
Date: Sun, 16 Feb 2025 18:26:46 +0530

On Tue Feb 11, 2025 at 10:48 AM IST, Kaartic Sivaraam wrote:
> Hi Patrick, Christian and all,
>
> On 07/02/25 16:25, Patrick Steinhardt wrote:
> > One thought: From my point of view I'd strongly favor extending
> > git-refs(1) over reftable support in the dumb HTTP transport. So if I
> > had two applications, one for each topic, I'd lean towards applications
> > for the former topic. That might easily cause unfairness in case
> > students aren't aware of that.
> > 
> > So unless somebody else wants to be main-mentor in that project, I think
> > we should either drop the HTTP transport tropic, or communicate our
> > priorities clearly.
>
> That makes sense. I've added a note to convey this clearly. Kindly check 
> if the change in the following PR looks fine.
>
>    https://github.com/git/git.github.io/pull/750/files
>
>
> On 07/02/25 13:37, Christian Couder wrote:
>  > Yeah, but we have time to decide on this. It seems to me that we can
>  > still come up with new project ideas and possibly new mentors or
>  > co-mentors until it's time for applicants to send their.application.
>
> Indeed. More volunteer mentors and ideas are always welcome :-)

Hi,

I can co-mentor this summer. The 'Machine-Readable Repository Information
Query Tool' project seems interesting to me, although I'm up for co-mentoring
in other projects as well. Let me know if you need any help with
anything else.

Thanks.